Blog

Why Do Your Services Still Support TLS 1.0?

TLSv1.0 and problematic ciphersuites are incredibly prevalent on the public internet, but the legacy browsers that require them are not. Why are they still on your perimeter?

Misconfigured Datastore Services Abound in the Cloud

Cloud hosting provides great flexibility for your developers. They are lured to the cloud by promises of rapid deployments and order-of-magnitude decreases in maintenance costs. But this agility comes with security risks as new services are deployed without adequate safeguards for security and compliance. Not only do improperly configured cloud environments pose a significant risk Continue reading…